Bug 1663046 - [RFE] Service request is displaying the Item values instead of item description
Summary: [RFE] Service request is displaying the Item values instead of item description
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: GA
: 5.12.0
Assignee: Tina Fitzgerald
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-02 21:11 UTC by Ahmed El-Rayess
Modified: 2019-12-18 14:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-18 14:36:28 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen capture of issue (2.15 MB, video/mp4)
2019-01-02 21:11 UTC, Ahmed El-Rayess
no flags Details

Description Ahmed El-Rayess 2019-01-02 21:11:45 UTC
Created attachment 1518033 [details]
screen capture of issue

Description of problem:
When a service is requested that has drop down items which has Values and Description, the Description is the one that is meaningful to the end user and the value is normally used for the automation.

the user selects the items required and submits the request, when the request is opened by the admin for approval, he can only see the item values which makes no sense to him to decide on the approval.

Version-Release number of selected component (if applicable):
cfme-5.9.6.5-4.el7cf.x86_64
cfme-appliance-5.9.6.5-1.el7cf.x86_64
cfme-gemset-5.9.6.5-3.el7cf.x86_64
cfme-appliance-common-5.9.6.5-1.el7cf.x86_64


How reproducible:
All the time

Steps to Reproduce:
1. create a service dialog with drop down items which has different Value than the description
2. submit a service request using the dialog
3. open the service request for approval or status check and you will find the details of the request containing the item values and not the description that the user has selected.

Actual results:
the item values are displayed

Expected results:
the item description should be displayed

Additional info:
a screen capture video is attached for the issue

Comment 4 Tina Fitzgerald 2019-01-03 14:16:53 UTC
This is working as designed.  The dialog description helps the user to select the appropriate value(s). Only the dialog values are stored in the request.

Comment 8 Greg McCullough 2019-02-20 21:52:51 UTC
Clearing needinfo

Comment 10 Tina Fitzgerald 2019-09-09 15:45:51 UTC
Hi Drew,

Can you look into this to see how difficult it would be to use the dialog description instead of the value?

Thanks,
Tina

Comment 11 drew uhlmann 2019-09-10 15:21:38 UTC
This one's trivial, I have a fix, I just need to do a bit of testing around multivalue and default value before I open the PR that'll do this.

Comment 13 drew uhlmann 2019-09-10 15:51:05 UTC
Fine okay that only works for static fields, as Erik says, we don't store the dynamic values in the same way, please disregard comments 11 and 12.


Note You need to log in before you can comment on or make changes to this bug.